Bug 146377 - khelpcenter's Browse Info Pages > Alphabetically should sort entries
khelpcenter's Browse Info Pages > Alphabetically should sort entries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Reopened
: 146470 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 13:30 EST by Joe Christy
Modified: 2008-03-10 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 08:49:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 98092 None None None Never

  None (edit)
Description Joe Christy 2005-01-27 13:30:30 EST
Description of problem:
Browsing Info Pages > Alphabetically > <some initial> displays a long,
unsorted list of entries

Version-Release number of selected component (if applicable):
3.3.1-4.3.FC3

How reproducible:
Every time.

Steps to Reproduce:
1.Launch Help within KDE
2.open "Browse Info Pages" sub-menu in "Contents" sidebar
3.open "Alphabetically" sub-menu
4.open any sub-menu for a particular initial, e.g. "B"
  
Actual results:
A nearly useless long, unsorted list of entries appears

Expected results:
A long, helpfully (alphabetically) sorted list of entries appears

Additional info:
upstream bugs.kde.org shows this as *RESOLVED* bug 43815, fixed 2003-05-01

Could this have been broken by improper UTF-8 locale-ization for en-us?
Comment 1 Joe Christy 2005-01-28 12:08:50 EST
This is the duplicate of Bug # 146470, that I couldn't find. I
couldn't find it because I typoed kdehelpcenter for khelpcenter in the
summary. Doh!
Comment 2 Joe Christy 2005-01-28 12:16:06 EST
Upon further examination:
1) this doesn't seem to have anything to do with
http://bugs.kde.org/show_bug.cgi?id=43815 - the codebase has changed
quite a bit since then, and that bug concerned merely an inverted sort
order.
2) The sort (dis-)order is stable across invocations of khelpcenter. I
haven't been able to reproduce the sort (dis-) order of the list of
entries under D with any other tool.
Comment 3 Ngo Than 2005-01-28 12:35:41 EST
*** Bug 146470 has been marked as a duplicate of this bug. ***
Comment 4 Joe Christy 2005-01-28 12:38:08 EST
Reported upstream as: http://bugs.kde.org/show_bug.cgi?id=98092
Comment 5 Joe Christy 2005-01-28 12:39:05 EST
For example, the Browse Info Pages>Alphabetically>B submenu appears as:
bzero
btowc
bsearch
brk
bindtextdomain
bind_textdomain_codeset
bind
bcopy
bcmp
basename
basename
backtrace_symbols_fd
backtrace_symbols
backtrace
BUFSIZE
BRKINT
BC_STRING_MAX
BC_SCALE_MAX
BC_DIM_MAX
BC_BASE_MAX
bison
bibtex
basename
bash
Binutils
Bfd
Comment 6 Matthew Miller 2006-07-10 17:22:42 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Joe Christy 2006-07-10 17:43:36 EDT
No change in problem w/ subsequent versions
Comment 8 Ngo Than 2006-07-11 04:31:38 EDT
I cannot reproduce this issue with kde-3.5.3 in fc5-update and rawhide.
You should update to new kde version.
Comment 9 Joe Christy 2006-07-15 19:00:51 EDT
I am running:
pequod(~) rpm -qa | grep kde
kdesvn-0.8.4-1.fc5
kdepim-devel-3.5.3-0.2.fc5
kdeutils-devel-3.5.3-0.2.fc5
kdebase-3.5.3-0.4.fc5
kdebindings-3.5.3-0.1.fc5
kdeedu-3.5.3-0.1.fc5
kdemultimedia-extras-nonfree-3.5.1-2.lvn5
kdeartwork-3.5.3-0.1.fc5
kdepim-3.5.3-0.2.fc5
kdeaccessibility-3.5.3-0.1.fc5
kdeartwork-icons-3.5.3-0.1.fc5
kdesdk-devel-3.5.3-0.1.fc5
kdemultimedia-3.5.3-0.2.fc5
kdebase-devel-3.5.3-0.4.fc5
kdelibs-apidocs-3.5.3-0.4.fc5
lockdev-devel-1.0.1-9.2.1
kdebluetooth-devel-1.0-0.9.beta1.fc5
kdesdk-3.5.3-0.1.fc5
kdevelop-3.3.3-0.1.fc5
qalculate-kde-0.9.4-1.fc5.2
kdetoys-3.5.1-3.fc5
kdewebdev-3.5.3-0.1.fc5
kdegraphics-3.5.3-0.2.fc5
kdelibs-3.5.3-0.4.fc5
lockdev-1.0.1-9.2.1
kdegraphics-devel-3.5.3-0.2.fc5
kdelibs-devel-3.5.3-0.4.fc5
kdeadmin-3.5.3-0.1.fc5
kdemultimedia-extras-3.5.2-5.fc5
kdebluetooth-1.0-0.9.beta1.fc5
kdenetwork-devel-3.5.3-0.1.fc5
kdegames-3.5.3-0.1.fc5
kdenetwork-3.5.3-0.1.fc5
kdeaddons-3.5.3-0.1.fc5
kdeutils-3.5.3-0.2.fc5


Just now, when I perform the steps to reproduce, I see exactly the same,
un-alphabetical, disordered list as in comment #5.

I see this behavior on two different machines, both of which have undergone
clean installs (of FC4 and then of FC5) since I initially filed this bug. It is
independent of user account as well.

What _exactly_ do you see when you perform the steps to reproduce?

How could this bug be so remarkably reproducible here, yet unreproducible there??
Comment 10 Matthew Miller 2006-07-15 19:03:01 EDT
Maybe it depends on your LANG settings?
Comment 11 Joe Christy 2006-07-15 19:13:17 EDT
I have:

pequod(~) echo $LANG
en_US.UTF-8

Should I use some other, (non-default) setting?
Comment 12 lexual 2007-04-10 19:37:56 EDT
I have en_US.UTF-8, I can't reproduce this.
Comment 13 petrosyan 2008-03-10 02:13:19 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 14 Ngo Than 2008-03-10 08:49:05 EDT
it's fixed in current F8

Note You need to log in before you can comment on or make changes to this bug.